﻿using Com.Bocom.OpenApi;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using static Com.Bocom.OpenApi.QueryContractOrderRequestV2;

namespace Com.Bocom.OpenApi
{
    public class WriteOffResultRequestV2 : BocomRequest<WriteOffResultResponseV2>
    {

        /// <summary>
        /// 获取响应类
        /// </summary>
        /// <returns>返回WriteOffResultResponseV2类对应的响应类类型</returns>
        public override Type GetResponseClass()
        {
            return typeof(WriteOffResultResponseV2);
        }

        /// <summary>
        /// 是否支持加密（目前sdk只支持对字段进行AES加解密）
        /// </summary>
        /// <returns>一般返回false</returns>
        public override bool IsNeedEncrypt()
        {
            return false;
        }

        /// <summary>
        /// http发起请求方式（支持GET、POST两种方式）
        /// </summary>
        /// <returns>一般返回POST</returns>
        public override string GetMethod()
        {
            return "POST";
        }

        public override Type GetBizContentClass()
        {
            return typeof(WriteOffResultRequestV2Biz);
        }

        public class WriteOffResultRequestV2Biz : BizContent
        {

            /// <summary>
            /// 机构编号 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("org_id") private String orgId;
            [Alias("org_id")]
            public string orgId { get; set; }

            /// <summary>
            /// 子机构编号 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("sub_org_id") private String subOrgId;
            //internal string subOrgId;
            [Alias("sub_org_id")]
            public string subOrgId { get; set; }
            /// <summary>
            /// 核销日期 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_dte") private String writeOffDte;
            //internal string writeOffDte;
            [Alias("write_off_dte")]
            public string writeOffDte { get; set; }
            /// <summary>
            /// 核销编号 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("write_off_no") private String writeOffNo;
            //internal string writeOffNo;
            [Alias("write_off_no")]
            public string writeOffNo { get; set; }
            /// <summary>
            /// 页数 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("pageablerequest_pagenum") private String pageablerequestPagenum;
            //internal string pageablerequestPagenum;
            [Alias("pageablerequest_pagenum")]
            public string pageablerequestPagenum { get; set; }
            /// <summary>
            /// 每页显示数据数 </summary>
            //JAVA TO C# CONVERTER TODO TASK: Most Java annotations will not have direct .NET equivalent attributes:
            //ORIGINAL LINE: @JsonProperty("pageablerequest_pagesize") private String pageablerequestPagesize;
            //internal string pageablerequestPagesize;
            [Alias("pageablerequest_pagesize")]
            public string pageablerequestPagesize { get; set; }
        }
    }

}
