﻿using Com.Bocom.OpenApi;
using Com.Bocom.OpenApi.Utils;
using Kivii;
using Kivii.Text;
using Kivii.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njzj.Bocoms.Openapis.Transforms
{
    public class QueryContractOrderResponseV2Test : RestfulExecution<QueryContractOrderResponseV2>
    {
        public override object OnExecution(IRequest req, IResponse res)
        {
            DefaultBocomClient client = new DefaultBocomClient(Configs.APP_ID, Configs.MY_PRIVATE_KEY, Configs.APIGW_PUBLIC_KEY, BocomConstants.ENCRYPT_TYPE_RSA_AND_AES);
            /**
			* 测试环境可以忽略SSL证书告警，生产环境不可忽略
			*/
            client.IgnoreSslHostnameVerifier();

            var request = new QueryContractOrderRequestV2();
            request.SetServiceUrl(Configs.APIGW_URL_ADDRESS + Configs.QueryContractOrderRequestV2);

            var bizContent = new QueryContractOrderRequestV2.QueryContractOrderRequestV2Biz();
            bizContent.setOrgId(Configs.ORG_ID);
            bizContent.setBillId("1354000420220402000000001792");
            request.SetBizContent(bizContent);
            var json = JsonSerializer.SerializeToString(request);
            var response = client.Execute(request, Guid.NewGuid().ToString().Replace("-", ""));

            var rtns = new RestfulExecutionResponse<string>();
            rtns.Results = new List<string>();
            if (response.IsSuccess())
            {
                rtns.Results.Add("success");
                rtns.Results.Add($"ReturnCode:{response.GetRspCode()}{Environment.NewLine}ReturnMsg:{response.GetRspMsg()}");
                rtns.Results.Add(response.ToString());
            }
            else
            {
                rtns.Results.Add("failed");
                rtns.Results.Add($"ReturnCode:{response.GetRspCode()}{Environment.NewLine}ReturnMsg:{response.GetRspMsg()}");

            }
            return rtns;
        }
    }

    public class WriteOffResultResponseV2Test : RestfulExecution<WriteOffResultResponseV2>
    {
        public override object OnExecution(IRequest req, IResponse res)
        {
            DefaultBocomClient client = new DefaultBocomClient(Configs.APP_ID, Configs.MY_PRIVATE_KEY, Configs.APIGW_PUBLIC_KEY);
            /**
		    * 测试环境可以忽略SSL证书告警，生产环境不可忽略
		    */
            client.IgnoreSslHostnameVerifier();
            WriteOffResultRequestV2 request = new WriteOffResultRequestV2();
            request.SetServiceUrl(Configs.APIGW_URL_ADDRESS + Configs.WriteOffResultRequestV2);
            WriteOffResultRequestV2.WriteOffResultRequestV2Biz bizContent = new WriteOffResultRequestV2.WriteOffResultRequestV2Biz();
            bizContent.orgId = Configs.ORG_ID;
            bizContent.subOrgId = Configs.SUB_ORG_ID;
            bizContent.writeOffDte = "2022-05-03";
            bizContent.writeOffNo = "2022050500004";
            bizContent.pageablerequestPagenum = "1";
            bizContent.pageablerequestPagesize = "10";
            request.SetBizContent(bizContent);
            var response = client.Execute(request, Guid.NewGuid().ToString().Replace("-", ""));

            var rtns = new RestfulExecutionResponse<string>();
            rtns.Results = new List<string>();
            if (response.IsSuccess())
            {
                rtns.Results.Add("success");
                rtns.Results.Add($"ReturnCode:{response.GetRspCode()}{Environment.NewLine}ReturnMsg:{response.GetRspMsg()}");
                rtns.Results.Add(response.ToString());
            }
            else
            {
                rtns.Results.Add("failed");
                rtns.Results.Add($"ReturnCode:{response.GetRspCode()}{Environment.NewLine}ReturnMsg:{response.GetRspMsg()}");

            }
            return rtns;
        }
    }
}
